## ros-melodic-ainstein-radar-rviz-plugins 2.0.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.0)
set(CMAKE_CXX_STANDARD 11)

project(ainstein_radar_rviz_plugins)
find_package(catkin REQUIRED COMPONENTS
  rviz
  ainstein_radar_msgs
  )

catkin_package()

include_directories(
  ${catkin_INCLUDE_DIRS}
  )

link_directories(
  ${catkin_LIBRARY_DIRS}
  )

## Set Qt's "MOC" generation to happen automatically:
set(CMAKE_AUTOMOC ON)

## Use the version of Qt used by RViz:
if(rviz_QT_VERSION VERSION_LESS "5")
  message(STATUS "Using Qt4 based on the rviz_QT_VERSION: ${rviz_QT_VERSION}")
  find_package(Qt4 ${rviz_QT_VERSION} EXACT REQUIRED QtCore QtGui)
  include(${QT_USE_FILE})
else()
  message(STATUS "Using Qt5 based on the rviz_QT_VERSION: ${rviz_QT_VERSION}")
  find_package(Qt5 ${rviz_QT_VERSION} EXACT REQUIRED Core Widgets)
  set(QT_LIBRARIES Qt5::Widgets)
endif()

## Prefer the Qt signals and slots to avoid defining "emit", "slots", etc because they
## can conflict with boost signals, so define QT_NO_KEYWORDS here:
add_definitions(-DQT_NO_KEYWORDS)

## List of source files. The generated MOC files are included automatically as headers:
set(SRC_FILES
  src/radar_target_array_display.cpp
  src/radar_target_array_visual.cpp
  src/radar_info_display.cpp
  src/radar_info_visual.cpp
)

add_library(${PROJECT_NAME} ${SRC_FILES})

target_link_libraries(${PROJECT_NAME} ${QT_LIBRARIES} ${catkin_LIBRARIES})

install(TARGETS
  ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(FILES
  plugin_description.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

install(DIRECTORY icons/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/icons)

=== debian/changelog ===
ros-melodic-ainstein-radar-rviz-plugins (2.0.2-1stretch) stretch; urgency=high



 -- Nick Rotella <nick.rotella@ainstein.ai>  Tue, 19 Nov 2019 06:00:00 -0000

ros-melodic-ainstein-radar-rviz-plugins (2.0.1-1stretch) stretch; urgency=high



 -- Nick Rotella <nick.rotella@ainstein.ai>  Tue, 12 Nov 2019 06:00:00 -0000

ros-melodic-ainstein-radar-rviz-plugins (2.0.0-1stretch) stretch; urgency=high

  * Update RadarInfo message and fix dependencies
    Updated the RadarInfo message with new fields fully describing the data
    and added comments to explain them.
    Also fixed a small dependency in the RViz plugins package for display
    of the RadarInfo messages, however this plugin is not complete anyway.
  * Contributors: Nick Rotella

 -- Nick Rotella <nick.rotella@ainstein.ai>  Tue, 12 Nov 2019 06:00:00 -0000

ros-melodic-ainstein-radar-rviz-plugins (1.1.0-1stretch) stretch; urgency=high

  * Minor fixes to package XML formatting
    Fixed the package XML file formatting and added missing content to
    conform to the suggested style guidelines.
  * Use custom PCL radar point for data converter class
    Switched from using the normal pcl::PointXYZ type to the custom radar
    specific ainstein_radar_filters::PointRadarTarget type in the radar to
    point cloud conversion class. Tested on radar data and verified that it
    allows coloring clouds according to additional radar-specific fields eg
    range, speed, etc. This permits using existing point cloud-based filter
    node/lets to filter based on radar parameters, deprecating eg the range
    filter class in this repo.
    Also removed a debug printout from the rviz plugin class.
  * Ensure RadarTargetArray visual cleared on hide
    Fixed bug so that the RadarTargetDisplay visuals get cleared when the
    display for them is hidden. Still fails to work sometimes, maybe there
    is a race condition - return to this later.
  * Contributors: Nick Rotella

 -- Nick Rotella <nick.rotella@ainstein.ai>  Tue, 29 Oct 2019 05:00:00 -0000

ros-melodic-ainstein-radar-rviz-plugins (1.0.3-1stretch) stretch; urgency=high



 -- Nick Rotella <nick.rotella@ainstein.ai>  Thu, 03 Oct 2019 05:00:00 -0000

ros-melodic-ainstein-radar-rviz-plugins (1.0.2-1stretch) stretch; urgency=high



 -- Nick Rotella <nick.rotella@ainstein.ai>  Wed, 25 Sep 2019 05:00:00 -0000

ros-melodic-ainstein-radar-rviz-plugins (1.0.1-1stretch) stretch; urgency=high

  * Merge branch 'master' of https://github.com/AinsteinAI/ainstein_radar
  * Add RadarInfo RViz message filter display, compiles
    Added a message filter display for RadarInfo messages in RViz. It
    compiles and works fine but needs to be modified because the scaling
    of the FOV cone (currently the only supported visualization for this
    message type) does not work intuitively.  The position of the cone
    shape visual is also in the center of the cone, so the shape must
    also be translated. Come back to this later.
  * Add collision time-based color to Rviz radar visual
    Added the option to color radar target array messages based on their
    time to collision (range divided by speed, corrected for direction)
    in addition to normal (flat) coloring. This is similar to the Rviz
    color options for PointCloud2 based on any fields in that message.
    Still needs cleaning up so that the non-flat color method hides the
    color selector, as well as adds configurable min/max collision times
    for determining coloring. The colors are currently fixed to green at
    >=10s, red at <=2s and yellow in the middle (with smooth interpolation)
  * Refactor RViz plugin naming and clean up code
    Refactored the RViz plugin for the RadarTargetArray message type to
    reflect this name, allowing for other plugins for aggregate radar
    types (such as the deprecated RadarData which contained both raw and
    tracked target arrays).
    Also began code cleanup, removing irrelevant comments, fixing spacing
    etc.
  * Fix multiple bugs causing Rviz plugin to crash
    Fixed bugs in the RadarTargetArray Rviz message filter plugin which
    were causing the plugin to crash when loaded. Tested all functionality
    and confirmed working with sample data from uSharp3D.
  * Change raw pointers to rviz properties to smart pointers
  * Rename ainstein_rviz_plugins to ainstein_radar_rviz_plugins for consistency
  * Contributors: Nick Rotella

 -- Nick Rotella <nick.rotella@ainstein.ai>  Tue, 24 Sep 2019 05:00:00 -0000

=== debian/control ===
Source: ros-melodic-ainstein-radar-rviz-plugins
Section: misc
Priority: optional
Maintainer: Nick Rotella <nick.rotella@ainstein.ai>
Build-Depends: debhelper (>= 9.0.0), qtbase5-dev, ros-melodic-ainstein-radar-msgs, ros-melodic-catkin, ros-melodic-rviz
Homepage: https://wiki.ros.org/ainstein_radar_rviz_plugins
Standards-Version: 3.9.2

Package: ros-melodic-ainstein-radar-rviz-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libpcl-apps1.8, libpcl-common1.8, libpcl-features1.8, libpcl-filters1.8, libpcl-io1.8, libpcl-kdtree1.8, libpcl-keypoints1.8, libpcl-ml1.8, libpcl-octree1.8, libpcl-outofcore1.8, libpcl-people1.8, libpcl-recognition1.8, libpcl-registration1.8, libpcl-sample-consensus1.8, libpcl-search1.8, libpcl-segmentation1.8, libpcl-stereo1.8, libpcl-surface1.8, libpcl-tracking1.8, libpcl-visualization1.8, libqt5core5a, libqt5gui5, libqt5widgets5, ros-melodic-ainstein-radar-msgs, ros-melodic-rviz
Description: Radar message type plugins for RViz.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-ainstein-radar-rviz-plugins//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
